CREATE TABLE department (
    dname VARCHAR2(20) NOT NULL,
    dnumber NUMBER(5) PRIMARY KEY,
    mgrssn NUMBER(9),
    mgrstartdate DATE
);

CREATE TABLE employee_project (
    ssn NUMBER(9) PRIMARY KEY,
    ename VARCHAR(20) NOT NULL,
    bdate DATE,
    superssn NUMBER(9), 
    dno NUMBER(5),
    pname VARCHAR2(20) NOT NULL,
    pnumber NUMBER(10) NOT NULL,
    plocation VARCHAR2(20) NOT NULL,
    pdno NUMBER(5),
    CONSTRAINT FK_empproj_supervisor FOREIGN KEY (superssn) REFERENCES employee_project (ssn) ON DELETE SET NULL,
    CONSTRAINT FK_empproj_department_dno FOREIGN KEY (dno) REFERENCES department (dnumber) ON DELETE SET NULL,
    CONSTRAINT FK_empproj_department_pdno FOREIGN KEY (pdno) REFERENCES department (dnumber)
);

CREATE TABLE dependent (
    essn NUMBER(9),
    dependent_name VARCHAR2(20),
    sex CHAR(1) NOT NULL CHECK(sex IN ('F', 'M')),
    bdate DATE,
    relationship VARCHAR2(20) NOT NULL,
    PRIMARY KEY (essn, dependent_name),
    CONSTRAINT FK_dependent_empproj FOREIGN KEY (essn) REFERENCES employee_project (ssn)
);

ALTER TABLE department ADD CONSTRAINT FK_department_manager FOREIGN KEY (mgrssn) REFERENCES employee_project (ssn) ON DELETE SET NULL;