package de.fesenmeyer.dbnormalizer.core;

/**
 * Enumeration describing the state of a FD concerning its
 * satisfaction in the associated table.
 * @author DF
 *
 */
public enum FDCheckState {
	/**
	 * The FD has not yet been checked.
	 */
	UNCHECKED {
		@Override
		public String toString() {
			return "? (unchecked)";
		}
	},
	/**
	 * The associated table contains no data, so
	 * it can not be said whether it satisfies the FD or not. 
	 */
	NO_DATA {
		@Override
		public String toString() {
			return "? (no data)";
		}
	},
	/**
	 * The associated table satisfies the FD.
	 */
	SATISFIED {
		@Override
		public String toString() {
			return "satisfied";
		}
	},
	/**
	 * The associated table does not satisfy the FD.
	 */
	NOT_SATISFIED {
		@Override
		public String toString() {
			return "not satisfied";
		}
	}
}
