package de.fesenmeyer.dbnormalizer.core;

//this import is used for correct JavaDoc-Generation.
import java.lang.Enum;

/**
 * Enumeration containing the normal forms. The definitions of the normal forms are in ascending
 * order (from the lowest to the highest normal form). This makes it possible to compare two normal
 * forms to each other with the method {@link #compareTo(NormalForm)}.
 * 
 * @author DF
 * 
 */
public enum NormalForm {
	/**
	 * First normal form (1NF).
	 */
	NF1 {
		@Override
		public String toString() {
			return "1NF";
		}
	},
	/**
	 * Second normal form (2NF). 
	 */
	NF2 {
		@Override
		public String toString() {
			return "2NF";
		}
	},
	/**
	 * Third normal form (3NF). 
	 */
	NF3 {
		@Override
		public String toString() {
			return "3NF";
		}
	},
	/**
	 * Boyce-Codd normal form (BCNF).
	 */
	BCNF {
		@Override
		public String toString() {
			return "BCNF";
		}
	};
}
