package de.fesenmeyer.dbnormalizer.core;

/**
 * An enumeration holding the possible types
 * of TableContainers.
 * @author DF
 * @see TableContainer
 */
public enum TableContainerType {
	/**
	 * The type to be used for schemas.
	 */
	SCHEMA {
		@Override
		public String toString() {
			return "SCHEMA";
		}
	},
	/**
	 * The type to be used for catalogs.
	 */
	CATALOG {
		@Override
		public String toString() {
			return "CATALOG";
		}
	},
	/**
	 * The type to be used to group tables neither contained
	 * in a catalog nor schema.
	 * Used by {@link TableContainer#NO_CONTAINER}.
	 */
	NONE {
		@Override
		public String toString() {
			return "NO CONTAINER";
		}
	};
}
