/**
 * <p>
 * Package which provides the several algorithms implemented by DBNormalizer.
 * </p>
 * <p>
 * Amongst others, the following algorithms have been implemented:
 * <ul>
 * 	<li>FD-Check (Class <code>FDChecker</code>): checks if a FD is satisfied by the content of a database table.</li>
 * 	<li>Attribute-Closure algorithm (Method <code>FDAlgorithms.calculateAttributeClosure()</code>)</li>
 * 	<li>Minimal-Cover algorithm (Method <code>FDAlgorithms.calculateMinCover()</code>)</li>
 * 	<li>Candidate-Key-Determination algorithm (Method <code>FDAlgorithms.determineCandidateKeys()</code>)</li>
 *  <li>NF-Determination algorithm (Class <code>NFDetermination</code>): Determines the normal form of a table.</li>
 * 	<li>3NF-Synthesis algorithm (Class <code>ThreeNFSynthesisAlgorithmKemper</code>): Generates a normalization proposal. 
 * Assures that all tables of the decomposition are at least in 3NF.</li>
 * </ul>
 * </p>
 *
 * @author DF
 */
package de.fesenmeyer.dbnormalizer.core.algorithms;