package de.fesenmeyer.dbnormalizer.core.configuration;

import de.fesenmeyer.dbnormalizer.core.DBNormalizerException;

/**
 * Exception to be thrown if an error occurs while reading or writing
 * a configuration file, e.g. when the XML-file is not valid.
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class ConfigurationException extends DBNormalizerException {

	/**
	 * Class Constructor specifying a message.
	 * @param message the message
	 */
	public ConfigurationException(String message) {
		super(message);
	}

	/**
	 * Class Constructor specifying message and cause
	 * of the exception.
	 * @param message the message
	 * @param cause the cause
	 */
	public ConfigurationException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Class Constructor specifying the cause of the exception.
	 * @param cause the cause
	 */
	public ConfigurationException(Throwable cause) {
		super(cause);
	}

}
