package de.fesenmeyer.dbnormalizer.core.configuration;

/**
 * Configuration class which represents a functional dependency (FD).
 * @author DF
 *
 */
public class FDConfig {
	/**
	 * The LHS of the FD.
	 */
	private AttributeSetConfig lhs = null;
	/**
	 * The RHS of the FD.
	 */
	private AttributeSetConfig rhs = null;

	/**
	 * Gets the LHS of the FD.
	 * @return the LHS of the FD
	 */
	public AttributeSetConfig getLhs() {
		return lhs;
	}

	/**
	 * Sets the LHS of the FD.
	 * @param lhs the LHS of the FD
	 */
	public void setLhs(AttributeSetConfig lhs) {
		this.lhs = lhs;
	}

	/**
	 * Gets the RHS of the FD.
	 * @return  the RHS of the FD
	 */
	public AttributeSetConfig getRhs() {
		return rhs;
	}

	/**
	 * Sets the RHS of the FD.
	 * @param rhs the RHS of the FD
	 */
	public void setRhs(AttributeSetConfig rhs) {
		this.rhs = rhs;
	}
}
