package de.fesenmeyer.dbnormalizer.core.configuration;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Configuration class for tables.
 * @author DF
 *
 */
public class TableConfig {

	/**
	 * The table's name.
	 */
	private String name = null;

	/**
	 * The attributes. Should be empty, if the session does not contain
	 * a DB-Configuration.
	 */
	private AttributeSetConfig attributeSetConfig = new AttributeSetConfig();

	/**
	 * The FDs.
	 */
	private Collection<FDConfig> fdConfigs = new ArrayList<FDConfig>();

	/**
	 * Gets the FDs.
	 * @return the FDs
	 */
	public Collection<FDConfig> getFdConfigs() {
		return fdConfigs;
	}

	/**
	 * Sets the FDs.
	 * @param fdConfigs the FDs
	 */
	public void setFdConfigs(Collection<FDConfig> fdConfigs) {
		this.fdConfigs = fdConfigs;
	}

	/**
	 * Gets the table's name.
	 * @return the table's name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the table's name.
	 * @param name the table's name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the attributes.
	 * @return the attributes, if the session does not contain a DB-Configuration;
	 * an empty object, otherwise
	 */
	public AttributeSetConfig getAttributeSetConfig() {
		return attributeSetConfig;
	}

	/**
	 * Sets the attributes. Should only be used, if the session does not contain
	 * a DB-Configuration.
	 * @param attributeSetConfig the attributes
	 */
	public void setAttributeSetConfig(AttributeSetConfig attributeSetConfig) {
		this.attributeSetConfig = attributeSetConfig;
	}

}
