package de.fesenmeyer.dbnormalizer.core.configuration;

import java.util.ArrayList;
import java.util.Collection;

import de.fesenmeyer.dbnormalizer.core.TableContainer;

/**
 * Configuration class for table containers.
 * @author DF
 * @see TableContainer
 */
public class TableContainerConfig {

	/**
	 * The table container.
	 */
	private TableContainer tableContainer = null;
	/**
	 * The table configuration objects.
	 */
	private Collection<TableConfig> tableConfigs = new ArrayList<TableConfig>();

	/**
	 * Class Constructor specifying the table container to create a configuration for. 
	 * @param tableContainer the table container
	 */
	public TableContainerConfig(TableContainer tableContainer) {
		this.tableContainer = tableContainer;
	}

	/**
	 * Gets the table configuration objects.
	 * @return the table configuration objects
	 */
	public Collection<TableConfig> getTableConfigs() {
		return tableConfigs;
	}

	/**
	 * Sets the table configuration objects.
	 * @param tableConfigs the table configuration objects
	 */
	public void setTableConfigs(Collection<TableConfig> tableConfigs) {
		this.tableConfigs = tableConfigs;
	}

	/**
	 * Gets the table container.
	 * @return the table container
	 */
	public TableContainer getTableContainer() {
		return tableContainer;
	}

	/**
	 * Sets the table container.
	 * @param tableContainer the table container
	 */
	public void setTableContainer(TableContainer tableContainer) {
		this.tableContainer = tableContainer;
	}
}