package de.fesenmeyer.dbnormalizer.core.dbaccess;

import java.sql.SQLException;

import de.fesenmeyer.dbnormalizer.core.DBNormalizerException;

/**
 * Exception which can be thrown if something goes wrong when
 * accessing a DB. In most cases, it will wrap a {@link SQLException}.
 * @author DF
 */
@SuppressWarnings("serial")
public class DBException extends DBNormalizerException {

	/**
	 * Class Constructor specifying a message.
	 * @param message the message
	 */
	public DBException(String message) {
		super(message);
	}
	
	/**
	 * Class Constructor specifying message and cause
	 * of the exception.
	 * @param message the message
	 * @param cause the cause
	 */
	public DBException(String message, Throwable cause) {
		super(message, cause);
	}
	
	/**
	 * Class Constructor specifying the cause of the exception.
	 * @param cause the cause
	 */
	public DBException(Throwable cause) {
		super(cause);
	}
}
