package de.fesenmeyer.dbnormalizer.core.util;

import java.util.LinkedList;

/**
 * Class containing utility methods for string operations.
 * @author DF
 *
 */
public final class StringUtil {
	/**
	 * Makes the constructor inaccessible.
	 */
	private StringUtil() {
	}

	/**
	 * Splits a string into an array of strings using the comma as delimiter.
	 * @param commaSeparatedStrings a string consisting of several comma-separated strings
	 * @return an array of strings
	 */
	public static String[] parseStringArray(String commaSeparatedStrings) {
		LinkedList<String> linkedList = new LinkedList<String>();
		String[] temp = commaSeparatedStrings.split(",");
		for (String str : temp) {
			String trimmed = str.trim();
			if (!"".equals(trimmed)) {
				linkedList.add(trimmed);
			}
		}
		String[] arr = new String[linkedList.size()];
		linkedList.toArray(arr);
		return arr;
	}

	/**
	 * Tests if a String variable is empty, that means if it is null or if it contains an empty
	 * string.
	 * 
	 * @param str
	 *            the String variable to test.
	 * @return <code>true</code>, if the String variable is empty; 
	 * <code>false</code>, otherwise.
	 */
	public static boolean isBlank(String str) {
		return (str == null || str.length() == 0);
	}
}
