package de.fesenmeyer.dbnormalizer.gui;

import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

/**
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class DBTreeCellRenderer extends DefaultTreeCellRenderer {

	@Override
	public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel,
			boolean expanded, boolean leaf, int row, boolean hasFocus) {
		super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
		DBNormalizerTreeNode node = (DBNormalizerTreeNode) value;
		DBNormalizerTreeNode.NodeType nodeType = node.getNodeType();

		// a "hack" to get the same appearance for all nodes of the
		// same type (if we wouldn't do this, the nodes would have a
		// different symbol depending on having children or not
		setLeafIcon(getDefaultClosedIcon());

		ImageIcon icon = null;

		switch (nodeType) {
		case TABLE:
		case NORM_PROPOSAL_TABLE:
			icon = IconManager.getInstance().getIcon(IconManager.TABLE_ICON);
			setIcon(icon);
			break;
		case ATTRIBUTE:
		case NORM_PROPOSAL_ATTRIBUTE:
			icon = IconManager.getInstance().getIcon(IconManager.COLUMN_ICON);
			setIcon(icon);
			break;
		default:
			break;
		}

		return this;
	}
}
