package de.fesenmeyer.dbnormalizer.gui;

import java.util.List;

import javax.swing.Icon;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;

import de.fesenmeyer.dbnormalizer.core.FD;
import de.fesenmeyer.dbnormalizer.core.dbaccess.DataSet;

/**
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class FDCheckInfoFrame extends JDialog {

	private final class FDCheckResultTableModel extends AbstractTableModel {

		private DataSet dataSet = null;

		public FDCheckResultTableModel(DataSet dataSet) {
			this.dataSet = dataSet;
		}

		public int getColumnCount() {
			return dataSet.getColumnCount();
		}

		@Override
		public boolean isCellEditable(int rowIndex, int columnIndex) {
			return false;
		}

		@Override
		public String getColumnName(int column) {
			return dataSet.getColumnNames().get(column);
		}

		public int getRowCount() {
			return dataSet.getRowCount();
		}

		public Object getValueAt(int rowIndex, int columnIndex) {
			List<Object> rowDataList = dataSet.getRow(rowIndex);
			Object value = rowDataList.get(columnIndex);
			if (value == null) {
				value = "<null>";
			}
			return value;
		}
	}

	private JTable fdCheckResultTable = null;

	public FDCheckInfoFrame(FD fd, DataSet dataSet) {
		super();
		this.setIconImage(IconManager.getInstance().
				getImage(IconManager.DBNORMALIZER_ICON));
		
		String title = "FD Check for '";
		title += fd.toString();
		title += "'";
		this.setTitle(title);

		JPanel contentPane = (JPanel) this.getContentPane();

		fdCheckResultTable = new JTable(new FDCheckResultTableModel(dataSet));
		JScrollPane scrollPane = new JScrollPane(fdCheckResultTable);

		contentPane.add(scrollPane);

		this.setSize(500, 400);
	}

}
