package de.fesenmeyer.dbnormalizer.gui;

import java.awt.BorderLayout;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;

import de.fesenmeyer.dbnormalizer.core.TableColumn;

/**
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class TableColumnInfoPanel extends JPanel {

	private JTable tableColInfoTable = null;
	private TableColumnInfoTableModel tableColInfoTableModel = null;

	public TableColumnInfoPanel() {
		super(new BorderLayout());
		this.setBorder(BorderFactory.createTitledBorder("Column Info"));

		this.tableColInfoTableModel = new TableColumnInfoTableModel();
		this.tableColInfoTable = new JTable(this.tableColInfoTableModel);
		JScrollPane tableScrollPane = new JScrollPane(this.tableColInfoTable);

		this.add(tableScrollPane, BorderLayout.CENTER);

	}

	public void setTableCols(Collection<TableColumn> tableCols) {
		this.tableColInfoTableModel.setTableCols(new ArrayList<TableColumn>(tableCols));
	}

	public class TableColumnInfoTableModel extends AbstractTableModel {

		private List<TableColumn> tableCols = new ArrayList<TableColumn>();

		private String[] columnNames = new String[] { "Name", "TypeName", "Nullable",
				"DecimalDigits", "ColSize", "DefaultValue" };

		public int getColumnCount() {
			return columnNames.length;
		}

		@Override
		public String getColumnName(int column) {
			return columnNames[column];
		}

		public int getRowCount() {
			return tableCols.size();
		}

		public Object getValueAt(int rowIndex, int colIndex) {
			Object value = null;

			TableColumn col = tableCols.get(rowIndex);
			switch (colIndex) {
			case 0:
				value = col.getName();
				break;
			case 1:
				value = col.getTypeName();
				break;
			case 2:
				value = col.isNullable();
				break;
			case 3:
				value = col.getDecimalDigits();
				break;
			case 4:
				value = col.getColumnSize();
				break;
			case 5:
				value = col.getDefaultValue();
				break;
			}
			return value;
		}

		@Override
		public boolean isCellEditable(int rowIndex, int columnIndex) {
			return false;
		}

		public List<TableColumn> getTableCols() {
			return tableCols;
		}

		public void setTableCols(List<TableColumn> tableCols) {
			this.tableCols = tableCols;
			fireTableDataChanged();
		}

	}

}
