package de.fesenmeyer.dbnormalizer.gui;

import javax.swing.BorderFactory;
import javax.swing.JTabbedPane;

import de.fesenmeyer.dbnormalizer.core.DBNormalizerSession;
import de.fesenmeyer.dbnormalizer.core.Table;

/**
 * @author DF
 *
 */
@SuppressWarnings("serial")
public class TableTabbedPanel extends JTabbedPane {

	public static final String FDMODPANEL_TITLE = "Edit FDs";
	public static final String FDANALYSISPANEL_TITLE = "Analyse FDs (MinCover)";
	public static final String TABLEINFO_TITLE = "Table Info";

	private DBNormalizerSession session = null;

	private FDModificationPanel fdModPanel = null;

	private FDAnalysisPanel fdAnalysisPanel = null;

	private TableInformationPanel tableInfoPanel = null;

	public TableTabbedPanel() {
		super();

		this.fdModPanel = new FDModificationPanel();

		this.addTab(FDMODPANEL_TITLE, this.fdModPanel);

		this.fdAnalysisPanel = new FDAnalysisPanel();
		this.fdAnalysisPanel.setTableTabbedPanel(this);
		this.addTab(FDANALYSISPANEL_TITLE, this.fdAnalysisPanel);

		this.tableInfoPanel = new TableInformationPanel();
		this.addTab(TABLEINFO_TITLE, this.tableInfoPanel);

		this.setBorder(BorderFactory.createTitledBorder("FDs and Table Info"));
	}

	public FDModificationPanel getFdModPanel() {
		return fdModPanel;
	}

	public FDAnalysisPanel getFdAnalysisPanel() {
		return fdAnalysisPanel;
	}

	public void setSession(DBNormalizerSession session) {
		this.session = session;
		this.fdModPanel.setSession(session);
		this.fdAnalysisPanel.setSession(session);
	}

	public void setTable(Table table) {
		this.fdModPanel.setTable(table);
		this.fdAnalysisPanel.setTable(table);
		this.tableInfoPanel.setTable(table);
	}

	public void setTableMainPanel(TableMainPanel tableMainPanel) {
		this.fdModPanel.setTableMainPanel(tableMainPanel);
	}

}
