package de.fesenmeyer.dbnormalizer.gui.util;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * @author DF
 *
 */
public final class FileFilters {

	// make the constructor inaccessable
	private FileFilters() {
	}

	public static FileFilter getXMLFileFilter() {
		FileFilter xmlFileFilter = new FileFilter() {

			@Override
			public boolean accept(File f) {
				return f.isDirectory() || f.getName().toLowerCase().endsWith(".xml");
			}

			@Override
			public String getDescription() {
				return "DBNormalizer XML Files (*.xml)";
			}

		};

		return xmlFileFilter;
	}

	public static FileFilter getSQLFileFilter() {
		FileFilter sqlFileFilter = new FileFilter() {

			@Override
			public boolean accept(File f) {
				return f.isDirectory() || f.getName().toLowerCase().endsWith(".sql");
			}

			@Override
			public String getDescription() {
				return "SQL Script Files (*.sql)";
			}

		};
		return sqlFileFilter;
	}
	
	public static FileFilter getJARFileFilter() {
		FileFilter jarFileFilter = new FileFilter() {

			@Override
			public boolean accept(File f) {
				return f.isDirectory() || f.getName().toLowerCase().endsWith(".jar");
			}

			@Override
			public String getDescription() {
				return "JAR Archive (*.jar)";
			}

		};
		return jarFileFilter;
	}
}
